Endpoint Examples

/mappings

Returns a list of available mappings with meta data describing the source and destination taxonomies it maps between.

GET List mappings

Mapping meta data includes information about source and destination taxonomies.

Query Parameters

NameDescription
filter
string
Comma separated list of filters. Any of the returned metadata fields can be used to filter results. The mappings listed in the response are limited to those that match the specified filter.
This parameter is optional.
Example: sourceName:lot,destinationName:isco_standard

Code Examples

curl --request GET \
  --url 'https://classification.emsicloud.com/mappings?filter=sourceName%3Alot%2CdestinationName%3Aisco_standard' \
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": [
    {
      "name": "onet_2019_v1.0.0_lot_v6.3.0",
      "releaseStatus": "public",
      "description": "Mapping from onet to specocc",
      "version": "1.0.0",
      "sourceName": "onet_2019",
      "sourceReleaseStatus": "public",
      "sourceVersion": "1.0.0",
      "destinationName": "lot",
      "destinationReleaseStatus": "public",
      "destinationVersion": "6.3.0",
      "releaseDate": "2023-06-07T17:53:03Z",
      "context": null
    },
    {
      "name": "onet_2019_v1.0.0_lot_v6.1.4",
      "releaseStatus": "internalProduction",
      "description": "Mapping from onet to specocc",
      "version": "1.0.0",
      "sourceName": "onet_2019",
      "sourceReleaseStatus": "public",
      "sourceVersion": "1.0.0",
      "destinationName": "lot",
      "destinationReleaseStatus": "public",
      "destinationVersion": "6.1.4",
      "releaseDate": "2023-04-12T18:48:38Z",
      "context": null
    }
  ]
}

/mappings/{mapping_name}

Map concepts according the specifed mapping.

POST Map Concepts

If there is no mapping for a concept (mappings may not include all source taxonomy concepts) or if the ID doesn't exist in the source taxonomy an empty set will be returned.

Path Parameters

NameDescription
mapping_name
string
Name of mapping to be applied.
Example: lot_v6.31.0_isco_standard_v2008.1.0

Request Body

{
  "ids": [
    "27111310",
    "not_a_concept_id"
  ]
}

Code Examples

curl --request POST \
  --url https://classification.emsicloud.com/mappings/lot_v6.31.0_isco_standard_v2008.1.0 \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "ids": [ "27111310", "not_a_concept_id" ] }'

Response Examples

{
  "data": {
    "27111310": [
      "1223"
    ],
    "not_a_concept_id": []
  },
  "errors": [],
  "warnings": []
}

/mappings/{mapping_name}/changes

Get a summary from a mapping of the changes recorded between taxonomies.

GET List Changes

Lists the additions, removals, renames, and consolidations of concepts between a source and a target taxonomy.

Path Parameters

NameDescription
mapping_name
string
Name of the mapping to be queried.
Example: skills_v9.21.0_skills_v9.22.0

Code Examples

curl --request GET \
  --url https://classification.emsicloud.com/mappings/skills_v9.21.0_skills_v9.22.0/changes \
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": {
    "additions": [
      {
        "id": "ES10034B3F54D3592090",
        "name": "Google Bard"
      },
      {
        "id": "ES17448E404BEF7B6CED",
        "name": "Lando (Software)"
      },
      {
        "id": "ES32CE28085492CE9D9C",
        "name": "Visme (Software)"
      },
      {
        "id": "ES339417221F721DAD77",
        "name": "Functional Analysis"
      },
      {
        "id": "ES597FD60D373310FBA7",
        "name": "Varnish Cache"
      },
      {
        "id": "ES9BC2B186D503A6749A",
        "name": "Chip Design"
      },
      {
        "id": "ESB15295681AFEC25E48",
        "name": "Twitch"
      },
      {
        "id": "ESB37E2A2BE2B1137435",
        "name": "Stable Diffusion"
      },
      {
        "id": "ESC33A3BCAA3934E0E9D",
        "name": "LightGBM"
      },
      {
        "id": "ESE90CF6F01CE47D9537",
        "name": "DALL-E Image Generator"
      }
    ],
    "removals": [
      {
        "id": "KS1243G647PT6VNYXJ66",
        "name": "Fraud Prevention And Detection"
      }
    ],
    "renames": [
      {
        "id": "KS125TJ5YGX5NLDMPS7M",
        "fromName": "LIBSVM",
        "toName": "LibSVM"
      },
      {
        "id": "KS1271Z6JS5110PHSPC6",
        "fromName": "Natural Language Processing Systems",
        "toName": "Natural Language Processing (NLP)"
      },
      {
        "id": "KS9PF4263GGN98ZH61MN",
        "fromName": "Predictionio",
        "toName": "PredictionIO"
      }
    ],
    "consolidations": [
      {
        "fromId": "KS126VY6DLPDWFZD5VB8",
        "fromName": "Natural Language Processing",
        "toId": "KS1271Z6JS5110PHSPC6",
        "toName": "Natural Language Processing (NLP)"
      },
      {
        "fromId": "KS1769WGLXP52CXL8NVC",
        "fromName": "Orgchart",
        "toId": "KS127FJ60YWBR5YNW249",
        "toName": "Organizational Charts"
      }
    ]
  },
  "errors": [],
  "warnings": []
}